-- name: [CS] OMORI Character Pack
-- description: The world of HEADSPACE and FARAWAY TOWN, brought into Super Mario 64.
--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md
]]

local E_MODEL_OMORI_MODEL = smlua_model_util_get_id("omori_geo")

local E_MODEL_SUNNY_MODEL = smlua_model_util_get_id("sunny_geo")

local E_MODEL_AUBREY_DW_MODEL = smlua_model_util_get_id("aubrey_DW_geo")

local E_MODEL_AUBREY_FA_MODEL = smlua_model_util_get_id("aubrey_FA_geo")

local E_MODEL_KEL_DW_MODEL = smlua_model_util_get_id("kel_DW_geo")

local E_MODEL_KEL_FA_MODEL = smlua_model_util_get_id("kel_FA_geo")

local E_MODEL_HERO_DW_MODEL = smlua_model_util_get_id("hero_DW_geo")

local E_MODEL_HERO_FA_MODEL = smlua_model_util_get_id("hero_FA_geo")

local E_MODEL_BASIL_DW_MODEL = smlua_model_util_get_id("basil_DW_geo")

local E_MODEL_BASIL_FA_MODEL = smlua_model_util_get_id("basil_FA_geo")

local E_MODEL_STRANGER_MODEL = smlua_model_util_get_id("stranger_geo")

local E_MODEL_MARI_DW_MODEL = smlua_model_util_get_id("mari_DW_geo")

local E_MODEL_MARI_FA_MODEL = smlua_model_util_get_id("mari_FA_geo")

local TEXT_MOD_NAME = "OMORI Character Pack"


if _G.charSelectExists then
    _G.charSelect.character_add("OMORI", {"Welcome to White Space."}, "NumberOneJenny", {r = 255, g = 255, b = 255}, E_MODEL_OMORI_MODEL, CT_MARIO, get_texture_info("omori"))
    _G.charSelect.character_add("SUNNY", {"Good morning."}, "NumberOneJenny", {r = 249, g = 221, b = 137}, E_MODEL_SUNNY_MODEL, CT_MARIO, get_texture_info("sunny"))
    _G.charSelect.character_add("AUBREY (Dream World)", {"Let's go exploring... just the two of us!"}, "NumberOneJenny", {r = 152, g = 19, b = 219}, E_MODEL_AUBREY_DW_MODEL, CT_MARIO, get_texture_info("aubrey_dw"))
    _G.charSelect.character_add("AUBREY (Faraway Town)", {"If you want me to be a bully... THEN I'LL BE A BULLY!!"}, "NumberOneJenny", {r = 244, g = 153, b = 227}, E_MODEL_AUBREY_FA_MODEL, CT_MARIO, get_texture_info("aubrey_fa"))
    _G.charSelect.character_add("KEL (Dream World)", {"HECTOR is the coolest pet rock ever!"}, "NumberOneJenny", {r = 152, g = 19, b = 219}, E_MODEL_KEL_DW_MODEL, CT_MARIO, get_texture_info("kel_dw"))
    _G.charSelect.character_add("KEL (Faraway Town)", {"Do you remember me? It's your old friend, KEL!"}, "NumberOneJenny", {r = 243, g = 134, b = 34}, E_MODEL_KEL_FA_MODEL, CT_MARIO, get_texture_info("kel_fa"))
    _G.charSelect.character_add("HERO (Dream World)", {"We're stronger when we work together!"}, "NumberOneJenny", {r = 152, g = 19, b = 219}, E_MODEL_HERO_DW_MODEL, CT_MARIO, get_texture_info("hero_dw"))
    _G.charSelect.character_add("HERO (Faraway Town)", {"Oh... MARI..."}, "NumberOneJenny", {r = 61, g = 76, b = 125}, E_MODEL_HERO_FA_MODEL, CT_MARIO, get_texture_info("hero_fa"))
    _G.charSelect.character_add("BASIL (Dream World)", {"My thoughts will follow you into your dreams..."}, "NumberOneJenny", {r = 81, g = 230, b = 151}, E_MODEL_BASIL_DW_MODEL, CT_MARIO, get_texture_info("basil_dw"))
    _G.charSelect.character_add("BASIL (Faraway Town)", {"Everything is going to be okay..."}, "NumberOneJenny", {r = 212, g = 194, b = 113}, E_MODEL_BASIL_FA_MODEL, CT_MARIO, get_texture_info("basil_fa"))
    _G.charSelect.character_add("STRANGER", {"Something behind you..."}, "NumberOneJenny", {r = 63, g = 63, b = 63}, E_MODEL_STRANGER_MODEL, CT_MARIO, get_texture_info("stranger"))
    _G.charSelect.character_add("MARI (Dream World)", {"All it takes is your love!"}, "NumberOneJenny", {r = 152, g = 19, b = 219}, E_MODEL_MARI_DW_MODEL, CT_MARIO, get_texture_info("mari_dw"))
    _G.charSelect.character_add("MARI (Faraway Town)", {"The sun shined brighter when she was here..."}, "NumberOneJenny", {r = 184, g = 128, b = 214}, E_MODEL_MARI_FA_MODEL, CT_MARIO, get_texture_info("mari_fa"))
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end